<template lang="pug">
  .flex.flex-col.gap-y-3.p-4
    .button.flex.items-center.gap-x-2.cursor-pointer(
      :style="{color: 'var(--font-dark-blue-color)'}",
      @click="changeOpenAddDoc",
      v-close-popup
    )
      img(:src="docIcon")
      .text-smm Создать пакет документов
    .button.keep-redaction.flex.items-center.gap-x-3.cursor-pointer(
      @click="changeOpenCreateDoc",
      v-close-popup
    )
      img(:src="manyDocIcon")
      .text-smm Добавить документы
</template>

<script>
import docIcon from "@/assets/icons/doc.svg";
import manyDocIcon from "@/assets/icons/manyDoc.svg";

export default {
  name: "TableChoiceAddingDoc",
  props: { changeOpenAddDoc: Function, changeOpenCreateDoc: Function },
  data() {
    return {
      docIcon,
      manyDocIcon,
    };
  },
};
</script>

<style lang="sass" scoped>
.button
  &:hover
    opacity: 0.7
</style>
